%define majver %(echo %version | cut -d. -f1-2)

Name:          oxygen
Version:       5.14.2
Release:       1mamba
Summary:       KDE Plasma 5 Oxygen theme
Group:         Graphical Desktop/Look 'n' feel
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        https://download.kde.org/stable/plasma/%{version}/oxygen-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libframeworkintegration-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkcmutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdecoration-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkservice-devel
BuildRequires: libkwayland-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Plasma 5 Oxygen theme.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_bindir}/oxygen-demo5
%{_bindir}/oxygen-settings5
%{_libdir}/qt5/plugins/kstyle_oxygen_config.so
%{_libdir}/qt5/plugins/org.kde.kdecoration2/oxygendecoration.so
%{_libdir}/qt5/plugins/styles/oxygen.so
%dir %{_datadir}/icons/KDE_Classic
%dir %{_datadir}/icons/KDE_Classic/cursors
%{_datadir}/icons/KDE_Classic/cursors/*
%{_datadir}/icons/KDE_Classic/index.theme
%dir %{_datadir}/icons/Oxygen_Black
%dir %{_datadir}/icons/Oxygen_Black/cursors
%{_datadir}/icons/Oxygen_Black/cursors/*
%{_datadir}/icons/Oxygen_Black/index.theme
%dir %{_datadir}/icons/Oxygen_Blue
%dir %{_datadir}/icons/Oxygen_Blue/cursors
%{_datadir}/icons/Oxygen_Blue/cursors/*
%{_datadir}/icons/Oxygen_Blue/index.theme
%dir %{_datadir}/icons/Oxygen_White
%dir %{_datadir}/icons/Oxygen_White/cursors
%{_datadir}/icons/Oxygen_White/cursors/*
%{_datadir}/icons/Oxygen_White/index.theme
%dir %{_datadir}/icons/Oxygen_Yellow
%dir %{_datadir}/icons/Oxygen_Yellow/cursors
%{_datadir}/icons/Oxygen_Yellow/cursors/*
%{_datadir}/icons/Oxygen_Yellow/index.theme
%dir %{_datadir}/icons/Oxygen_Zion
%dir %{_datadir}/icons/Oxygen_Zion/cursors
%{_datadir}/icons/Oxygen_Zion/cursors/*
%{_datadir}/icons/Oxygen_Zion/index.theme
%{_datadir}/icons/hicolor/256x256/apps/oxygen-settings.png
%{_datadir}/kservices5/oxygendecorationconfig.desktop
%{_datadir}/kservices5/oxygenstyleconfig.desktop
%{_datadir}/kstyle/themes/oxygen.themerc
%dir %{_datadir}/plasma/look-and-feel/org.kde.oxygen
%dir %{_datadir}/plasma/look-and-feel/org.kde.oxygen/contents
%{_datadir}/plasma/look-and-feel/org.kde.oxygen/contents/*
%{_datadir}/plasma/look-and-feel/org.kde.oxygen/metadata.desktop
%{_datadir}/sounds/Oxygen-*.ogg
%doc COPYING COPYING.LIB

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/liboxygenstyle5.so.*
%{_libdir}/liboxygenstyleconfig5.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_libdir}/liboxygenstyle5.so
%{_libdir}/liboxygenstyleconfig5.so

%changelog
* Wed Oct 24 2018 Automatic Build System <autodist@mambasoft.it> 5.14.2-1mamba
- automatic version update by autodist

* Wed Oct 17 2018 Automatic Build System <autodist@mambasoft.it> 5.14.1-1mamba
- automatic version update by autodist

* Thu Oct 11 2018 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Tue Sep 04 2018 Automatic Build System <autodist@mambasoft.it> 5.13.5-1mamba
- automatic version update by autodist

* Sat Aug 04 2018 Automatic Build System <autodist@mambasoft.it> 5.13.4-1mamba
- automatic version update by autodist

* Wed Jul 11 2018 Automatic Build System <autodist@mambasoft.it> 5.13.3-1mamba
- automatic version update by autodist

* Tue Jun 26 2018 Automatic Build System <autodist@mambasoft.it> 5.13.2-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 5.13.1-1mamba
- automatic version update by autodist

* Sun Jun 17 2018 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Wed May 02 2018 Automatic Build System <autodist@mambasoft.it> 5.12.5-1mamba
- automatic version update by autodist

* Sun Apr 01 2018 Automatic Build System <autodist@mambasoft.it> 5.12.4-1mamba
- automatic version update by autodist

* Wed Mar 07 2018 Automatic Build System <autodist@mambasoft.it> 5.12.3-1mamba
- automatic version update by autodist

* Wed Feb 21 2018 Automatic Build System <autodist@mambasoft.it> 5.12.2-1mamba
- automatic version update by autodist

* Wed Feb 14 2018 Automatic Build System <autodist@mambasoft.it> 5.12.1-1mamba
- automatic version update by autodist

* Thu Feb 08 2018 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Wed Jan 03 2018 Automatic Build System <autodist@mambasoft.it> 5.11.5-1mamba
- automatic version update by autodist

* Tue Nov 07 2017 Automatic Build System <autodist@mambasoft.it> 5.11.3-1mamba
- automatic version update by autodist

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 5.11.2-1mamba
- automatic version update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 5.11.1-1mamba
- automatic version update by autodist

* Thu Oct 12 2017 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Sat Oct 07 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.10.5-1mamba
- package created using the webbuild interface
